clang 10.0.0git

Classes | Functions
clang::driver::tools::darwin Namespace Reference

## Classes
class | Assembler
class | Dsymutil
class | Linker
class | Lipo
class | MachOTool
class | VerifyDebug

## Functions
llvm::Triple::ArchType | getArchTypeForMachOArchName (StringRef Str)
void | setTripleTypeForMachOArchName (llvm::Triple &T, StringRef Str)

## Function Documentation

## ◆ getArchTypeForMachOArchName()

llvm::Triple::ArchType clang::driver::tools::darwin::getArchTypeForMachOArchName | ( | StringRef | Str | ) |

Definition at line 35 of file Darwin.cpp.

Referenced by clang::driver::Driver::BuildUniversalActions(), setTripleTypeForMachOArchName(), clang::driver::toolchains::MachO::TranslateArgs(), and clang::driver::toolchains::Darwin::TranslateArgs().

## ◆ setTripleTypeForMachOArchName()

void clang::driver::tools::darwin::setTripleTypeForMachOArchName | ( | llvm::Triple & | T,
|  | StringRef | Str
| ) |  |

Definition at line 71 of file Darwin.cpp.

References getArchTypeForMachOArchName().

Referenced by computeTargetTriple().